//---------------------------------------------------------------------------

#ifndef qfsrecv1H
#define qfsrecv1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#define INI(X) FrmRecv->li_ini->Values[X]
//---------------------------------------------------------------------------
class TFrmRecv : public TForm
{
__published:	// IDE 管理のコンポーネント
        TMemo *Memo1;
        TStatusBar *StatusBar1;
        TTimer *Timer1;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
private:	// ユーザー宣言
        AnsiString fi_ini;
        bool __fastcall ConnectDB(AnsiString host,AnsiString name,AnsiString user,AnsiString passwd,bool finfin);
public:		// ユーザー宣言
        __fastcall TFrmRecv(TComponent* Owner);
        TStringList *li_ini;
        void __fastcall AddLog(AnsiString st);
        AnsiString __fastcall strEncrypt(AnsiString st,int a);
        AnsiString __fastcall strDecrypt(AnsiString st,int a);
        void __fastcall DropToMailer(AnsiString fi);
        int serverNo;
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmRecv *FrmRecv;
//---------------------------------------------------------------------------
#endif
